package DBAgent;

import java.awt.event.ActionEvent;
import javax.swing.border.TitledBorder;
import java.awt.*;
import java.awt.event.ActionListener;
import javax.swing.*;

import java.util.Vector;
import SQLIstructionSet.*;

public class MainFrame extends JFrame implements GInterface{
	
	JButton newQuery, discButton;
	
	JTextArea Output;
	
	IUtente utente;
	
	public MainFrame(IUtente U){
		super();
		utente = U;
		setTitle("SID Project");
		setSize(300,350);
		init();
		this.setVisible(true);
	}
	
	private void init(){
		TitledBorder mTitledBorder = BorderFactory.createTitledBorder("output");
		JPanel pannello = new JPanel(new BorderLayout());
		JPanel pannello_N = new JPanel(new BorderLayout());
		JPanel pannello_C = new JPanel(new BorderLayout());
		pannello_C.setBorder(mTitledBorder);
		JPanel pannello_S = new JPanel(new BorderLayout());
		newQuery = new JButton("New Query");
		newQuery.setSize(100,30);
		Output = new JTextArea();
		Output.setSize(100,100);
		discButton = new JButton("Exit");
		discButton.setSize(100,30);
		pannello_N.add(newQuery,BorderLayout.CENTER);
		pannello_C.add(Output,BorderLayout.CENTER);
		pannello_S.add(discButton,BorderLayout.CENTER);
		pannello.add(pannello_N,BorderLayout.SOUTH);
		pannello.add(pannello_C,BorderLayout.CENTER);
		
		newQuery.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent event) {
				utente.newQuery(new Select(new Vector(),true,new Vector(),new Vector(),new Vector(),new Vector(),new Vector()),2);
			}
		});					
		
		this.add(pannello);
	}
	
	public void writeResult(Vector Results){
		Output.append("New query result: \n");
		for(int i=0; i<Results.size(); i++){
			Vector Result = ((Vector)(Results.elementAt(i)));
			String tmp = " -  ";
			for(int j=0; j<Result.size(); j++){
				tmp = ((String)(Result.elementAt(j)));
				Output.append(tmp);
				Output.append("\n");
			}
		}
		Output.append("\n");
	}
	
}
