package DBAgent;

import alice.tucson.api.*;

public class test {

	public static void main(String[] args) {
		try{
			String LocalHost = args[0];
			String SincHost = args[1];
			
			TupleCentreId tcCoda = TC_Library.newCoda("coda @ " + LocalHost);
			TupleCentreId tcSinc = TC_Library.newSinc("sinc @ " + SincHost);
			TupleCentreId tcQuery = new TupleCentreId("query @ " + LocalHost);
			TupleCentreId tcLocalSinc = new TupleCentreId("localSinc @ " + LocalHost);	
			
			String IdTerminale = args[2];
			Integer idT = new Integer(0);
			int IdT = idT.parseInt(IdTerminale);
			
			
			String NumeroUtentiS = args[3];
			Integer NUS = new Integer(0);
			int NumeroUtenti = NUS.parseInt(NumeroUtentiS);
			
			IUtente UW[] = new IUtente[NumeroUtenti]; 
			GInterface frame[] = new GInterface[NumeroUtenti]; 
			
			for(int i=0; i<NumeroUtenti; i++){
				int IdU = 100 + i;
				UW[i] = new Utente(IdU,IdT,tcCoda);
				frame[i] = new MainFrame(UW[i]);
				UW[i].register(frame[i]);
			}
			
			PreElaboration P = new PreElaboration(new AgentId("alice"),tcCoda);
			P.spawn();
			IQueryOptAgent QO = new QueryOptAgent(tcCoda, tcQuery, tcSinc, LocalHost, IdT, tcLocalSinc);
			IDataBase DB = new DataBase(); 
			Controller DBControl = new Controller(new AgentId("alice"), tcQuery, DB); 
			DBControl.spawn();
			QueryController QControl = new QueryController(new AgentId("alice"), IdT, tcSinc, tcLocalSinc, QO); 
			QControl.spawn();
		}catch(Exception e){
			System.out.println("Errore nei parametri");
		}
	}
	
}