package DBAgent;

import alice.logictuple.*;
import alice.tucson.api.*;
import java.util.Vector;

public class QueryController extends Agent{
	
	int Tid;
	
	TupleCentreId Sinc;
	
	TupleCentreId LocalSinc;
	
	IQueryOptAgent QOAgent;
	
	public QueryController(AgentId name, int T, TupleCentreId S, TupleCentreId LS, IQueryOptAgent QOA) throws TucsonException {
		super(name);
		Tid = T;
		Sinc = S;
		LocalSinc = LS;
		QOAgent = QOA;
	}
	
	public void body(){
		try{
			while(true){
				LogicTuple req = new LogicTuple("remQuery", new Var("Qid"), new Value(Tid));
				LogicTuple resp = in(Sinc,req);
				TupleArgument Qid = resp.getArg(0);
				Vector Query = new Vector();
				Query.addElement(new Integer(Qid.intValue()));
				QOAgent.removeQuery(Qid.intValue());
			}
		}catch(Exception e){}
	}
	
}