package DBAgent;

import alice.tucson.api.*;
import alice.logictuple.*;

public class RemoveAgent extends Agent {
	
	/**
	 * Centro tuple di sincronizzazione
	 */
	TupleCentreId Sinc;
	
	/**
	 * Ottimizzatore locale
	 */
	IQueryOptAgent Opt;
	
	/**
	 * identificativo del terminale corrente
	 */
	int Tid;
	
	/**
	 * Costruttore
	 * @param S Centro tuple di sincronizzazione
	 */
	public RemoveAgent(AgentId name, TupleCentreId S, IQueryOptAgent O, int T) throws TucsonException{
		super(name);
		Sinc = S;
		Opt = O;
		Tid = T;
	}
	
	/**
	 * corpo del thread
	 */
	public void body(){
		try{
			while(true){
				LogicTuple LT = new LogicTuple("remT", new Var("Host_name"), new Value(Tid));
				LogicTuple LTR = in(Sinc,LT);	
				TupleArgument Host = LTR.getArg(0);
				String Host_name = Host.toString();
				Opt.removeTerminal(Host_name);
				System.out.println("Terminal disconnected: " + Host_name);
			}
		}catch(Exception e){}
	}
	
}